Subject: bug#10125: RFE: require and load-path-shadowing

From: Eli Zaretskii <[email-masked]>
Date: Sat, 12 Jan 2013 14:07:14 +0200

> From: Achim Gratz <[email-masked]>
> Date: Sat, 12 Jan 2013 11:20:58 +0100
> 
> Eli Zaretskii writes:
> >> Could be: depends on the precise semantics of spawn, which I don't know.
> >
> > I'm barely following this thread, so please tell what semantics do you
> > need, and I will then try figuring out whether spawn does what you
> > need.
> 
> The idea IIUC is to fork/spawn Emacs after it has initialized to be able
> to use a "pristine" instance to spawn off again for byte compilation.
> 
> emacs-pristine +--- emacs-user
>                |
>                +--- emacs-bytecompile-1
>                |
>                +--- emacs-bytecompile-2
>                |
>                +--- emacs-bytecompile-3

How is this different from invoking emacs-bytecompile-N instances in
parallel to invoking emacs-pristine?  IOW, do you expect the
byte-compile instances to be different in any way from a fresh Emacs
session invoked from the shell as "emacs -Q"?